Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class ClassContainer

    java.lang.Object
      org.jboss.aop.Advisor
          org.jboss.aop.ClassContainer

Direct Known Subclasses:
  ClassProxyContainer

public class ClassContainer
extends Advisor

Comment

Version:
  $Revision: 1.24 $
Author:
  Bill Burke

Field Summary
`protected Field[]` | `advisedFields`

Fields inherited from class org.jboss.aop.Advisor
`adviceBindings, adviceInterceptors, advisedMethods, annotations, aspects, classAnnotations, classMetaData, classMetaDataBindings, clazz, constructionInfos, constructionInterceptors, constructorInfos, constructorInterceptors, constructorMetaData, constructors, defaultMetaData, doesHaveAspects, fieldMetaData, interfaceIntroductions, manager, methodInterceptors, methodMetaData, name, perInstanceAspectDefinitions, perInstanceJoinpointAspectDefinitions`

Constructor Summary
`ClassContainer(String name, AspectManager manager)`

Method Summary
`void` | `addClassMetaData(ClassMetaDataBinding data)`
`protected void` | `bindClassMetaData(ClassMetaDataBinding data)`
`protected void` | `createConstructorTables()`
`protected void` | `createFieldTable()` Gets advised methods.
`protected void` | `createInterceptorChains()`
`protected MethodInfo` | `createMethodInfo()`
`protected void` | `createMethodMap()`
`void` | `initializeClassContainer()`
`void` | `initializeMetadata()`
`protected gnu.trove.TLongObjectHashMap` | `initializeMethodChain()`
`protected void` | `rebindClassMetaData()`
`protected void` | `rebuildInterceptors()`
`void` | `removeClassMetaData(ClassMetaDataBinding data)`
`void` | `setClass(Class clazz)`

Methods inherited from class org.jboss.aop.Advisor
`addAdviceInterceptor, addInterfaceIntroduction, addPerClassAspect, addPerInstanceAspect, addPerInstanceJoinpointAspect, chainOverridingForInheritedMethods, createInterceptorChain, deployAnnotationOverride, deployAnnotationOverrides, deployMethodAnnotationOverrides, dynamicInvoke, finalizeConstructionChain, finalizeConstructorChain, finalizeMethodChain, getAdviceInterceptor, getAllMethods, getAnnotations, getClassMetaData, getClassMetadataBindings, getClazz, getConstructionInfos, getConstructionInterceptors, getConstructorInfos, getConstructorInterceptors, getConstructorMetaData, getConstructors, getDefaultMetaData, getFieldMetaData, getInterfaceIntroductions, getManager, getMetadataContext, getMethodInfo, getMethodMetaData, getName, getPerClassAspect, getPerClassAspect, getPerInstanceAspectDefinitions, getPerInstanceJoinpointAspectDefinitions, getSimpleName, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAnnotation, hasAspects, initializeConstructionChain, initializeConstructorChain, initializeInterfaceIntroductions, newBindingAdded, pointcutResolved, populateInterceptorsFromInfos, removeAdviceBinding, removeAdviceBindings, removeInterfaceIntroduction, removePerClassAspect, removePerInstanceAspect, removePerInstanceJoinpointAspect, resolveAnnotation, resolveAnnotation, resolveAnnotation, resolveAnnotation, resolveAnnotation, resolveConstructionPointcut, resolveConstructorPointcut, resolveMethodPointcut, setManager, setMetadataContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### advisedFields

    protected Field[] advisedFields

Constructor Detail

### ClassContainer

    public ClassContainer(String name,
                          AspectManager manager)

Method Detail

### initializeClassContainer

    public void initializeClassContainer()

### setClass

    public void setClass(Class clazz)

### initializeMetadata

    public void initializeMetadata()

### createFieldTable

    protected void createFieldTable()

  Gets advised methods.

### rebuildInterceptors

    protected void rebuildInterceptors()

  Specified by:
    `rebuildInterceptors` in class `Advisor`

### addClassMetaData

    public void addClassMetaData(ClassMetaDataBinding data)

  Specified by:
    `addClassMetaData` in class `Advisor`

### removeClassMetaData

    public void removeClassMetaData(ClassMetaDataBinding data)

  Specified by:
    `removeClassMetaData` in class `Advisor`

### bindClassMetaData

    protected void bindClassMetaData(ClassMetaDataBinding data)

### rebindClassMetaData

    protected void rebindClassMetaData()

### createMethodMap

    protected void createMethodMap()

### createMethodInfo

    protected MethodInfo createMethodInfo()

### initializeMethodChain

    protected gnu.trove.TLongObjectHashMap initializeMethodChain()

### createConstructorTables

    protected void createConstructorTables()

### createInterceptorChains

    protected void createInterceptorChains()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.